// Atmosphere.h: interface for the CAtmosphere class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ATMOSPHERE_H__D9D63BC1_87F9_11D5_AD0F_606357C12026__INCLUDED_)
#define AFX_ATMOSPHERE_H__D9D63BC1_87F9_11D5_AD0F_606357C12026__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Efx.h"

class CAtmosphere : public CEfx  
{
private:

	PDIRECT3DVERTEXBUFFER8	m_pvbPod;

	DWORD					m_dwCurrentPod;

	FLOAT					m_fScale[5];
	FLOAT					m_fAlpha[5];
	FLOAT					m_fRotation[5];
	FLOAT					m_fRotationSpeed[5];	

	FLOAT					m_fSwapTime;

	CImageQuad*				m_piqFade;
	
public:

	CAtmosphere( PDIRECT3DDEVICE8 pDevice );
	virtual ~CAtmosphere();

	virtual BOOL InitEfx();
	virtual BOOL FinishEfx();
	virtual BOOL UpdateFrame( FLOAT fTime );
	virtual BOOL RenderEfx();
};

#endif // !defined(AFX_ATMOSPHERE_H__D9D63BC1_87F9_11D5_AD0F_606357C12026__INCLUDED_)
